<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Contect_us extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function __construct()
        {
                parent::__construct();
                $this->load->model('admin/Add_category_model');
                $this->load->model('admin/Add_product_model');
                $this->load->model('admin/Add_slider_model');
                $this->load->model('admin/Add_banner_model');
        }
	public function contact()
	{
		
		$sl_data['banner'] = $this->Add_banner_model->get_all();
		$this->load->view('header', $sl_data);
		$this->load->view('contact');
		$this->load->view('footer');
	}
	public function submit()
	{
		$name = $this->input->post('name');
		$email = $this->input->post('email');
		$contact_no = $this->input->post('contact_no');
		$msg = $this->input->post('message');

		$data = array(
				'name'=>$name,
				'email'=>$email,
				'contact_no'=>$contact_no,
				'message'=>$msg
		);

		$qu = $this->db->insert('contect_us', $data);
		if($qu){
			$this->session->set_flashdata("success"," We Recive your Message Thank for Your Time we reply you on your given Email Address.");
				redirect('contact');
		}
	}


}
